Package org.picocontainer

# Interface Startable

All Known Subinterfaces:
  `ClassLoadingPicoContainer`, `MutablePicoContainer`

All Known Implementing Classes:
  `AbstractDelegatingMutablePicoContainer`, `DefaultClassLoadingPicoContainer`, `DefaultPicoContainer`, `TieringPicoContainer`, `TransientPicoContainer`

public interface Startable

An interface which is implemented by components that can be started and stopped. The `start()` must be called at the begin of the component lifecycle. It can be called again only after a call to `stop()`. The `stop()` method must be called at the end of the component lifecycle, and can further be called after every `start()`. If a component implements the `Disposable` interface as well, `stop()` should be called before `Disposable.dispose()`.

For more advanced and pluggable lifecycle support, see the functionality offered by picocontainer-gems subproject.

Author:
  Paul Hammant, Aslak Hellesøy
See Also:
  - `the Disposable interface if you need to `dispose()` semantics.`

## Method Summary

Modifier and Type
Method
Description
`void`
`start()`
Start this component.
`void`
`stop()`
Stop this component.

## Method Details

### start

void start()
Start this component. Called initially at the begin of the lifecycle. It can be called again after a stop.

### stop

void stop()
Stop this component. Called near the end of the lifecycle. It can be called again after a further start. Implement `Disposable` if you need a single call at the definite end of the lifecycle.